Bug 149750 - Remote buffer overflow in the digestmd5.c
Summary: Remote buffer overflow in the digestmd5.c
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: cyrus-sasl (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL: http://www.gentoo.org/security/en/gls...
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-25 22:02 UTC by Leonard den Ottolander
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 22:02:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Leonard den Ottolander 2005-02-25 22:02:09 UTC
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0373

Affects FC2 and FC3.

Comment 1 Leonard den Ottolander 2005-02-25 22:48:55 UTC
Only affects FC2 (2.1.18), not FC3 (2.1.19).

ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo-portage/dev-libs/cyrus-sasl/files/cyrus-sasl-2.1.18-cvs-1.172.patch


Comment 2 Leonard den Ottolander 2005-02-28 22:06:15 UTC
https://bugzilla.andrew.cmu.edu/cgi-bin/cvsweb.cgi/src/sasl/plugins/digestmd5.c#rev1.171
:

        * plugins/digestmd5.c: Fix potential buffer overflow, call
          add_to_challenge in 2 more places (Alexey Melnikov

So indeed the issue seems to be the sprintf(text->outbuf)s, not the
quoting.


Comment 3 Leonard den Ottolander 2005-03-01 22:02:03 UTC
Alexey Melnikov verified that this issue only exists in rev 1.170 of
digestmd5.c. Official releases are hence not vulnerable.

Closing NOTABUG.



Note You need to log in before you can comment on or make changes to this bug.